> ## Documentation Index
> Fetch the complete documentation index at: https://bulkgrid.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search indexed content

> Required permission: search:query.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/search
openapi: 3.0.3
info:
  title: Bulkgrid API
  version: 0.1.0
  description: >-
    Search indexed content, create crawl and extraction runs, and retrieve
    results. API keys require the scopes listed for each operation. OAuth
    connections grant MCP and search access only.
servers:
  - url: https://bulkgrid.com
    description: Bulkgrid
security:
  - apiKeyAuth: []
  - bearerAuth: []
tags:
  - name: Sources
    description: Source discovery, subscriptions, and indexing
  - name: Collections
    description: Collections and content selection rules
  - name: Search
    description: Search endpoints
  - name: Runs
    description: Run creation and lifecycle endpoints
  - name: Results
    description: Run result retrieval endpoints
paths:
  /api/v1/search:
    post:
      tags:
        - Search
      summary: Search indexed content
      description: 'Required permission: search:query.'
      operationId: search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  minLength: 1
                queries:
                  maxItems: 3
                  type: array
                  items:
                    type: string
                    minLength: 1
                queryMode:
                  default: auto
                  type: string
                  enum:
                    - none
                    - auto
                limit:
                  default: 10
                  type: integer
                  minimum: 1
                  maximum: 50
                collectionId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                fullTextWeight:
                  default: 0.3
                  type: number
                  minimum: 0
                  maximum: 1
                semanticWeight:
                  default: 0.7
                  type: number
                  minimum: 0
                  maximum: 1
                rrfK:
                  default: 60
                  type: integer
                  minimum: 1
                  maximum: 1000
              required:
                - query
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  query:
                    type: string
                  queryMode:
                    type: string
                    enum:
                      - none
                      - auto
                  executedQueries:
                    type: array
                    items:
                      type: string
                  scoring:
                    type: object
                    properties:
                      fullTextWeight:
                        type: number
                      semanticWeight:
                        type: number
                      rrfK:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - fullTextWeight
                      - semanticWeight
                      - rrfK
                    additionalProperties: false
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        chunk_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        source_document_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        source_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        url:
                          type: string
                          format: uri
                        title:
                          nullable: true
                          type: string
                        chunk_index:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        text_content:
                          nullable: true
                          type: string
                        metadata: {}
                        fts_rank:
                          nullable: true
                          type: number
                        semantic_rank:
                          nullable: true
                          type: number
                        score:
                          nullable: true
                          type: number
                      required:
                        - chunk_id
                        - source_document_id
                        - source_id
                        - url
                        - title
                        - chunk_index
                        - text_content
                        - metadata
                        - fts_rank
                        - semantic_rank
                        - score
                      additionalProperties: false
                  count:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - query
                  - queryMode
                  - executedQueries
                  - scoring
                  - results
                  - count
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
      security:
        - apiKeyAuth: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Bulkgrid API key
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bulkgrid API key or OAuth access token. OAuth grants currently allow
        search:query and mcp:use only.

````